<template>
  <div>
    <el-card class="box-card" style="position: relative">
      <div class="carInfo">
        <h3 class="title">车辆信息</h3>
        <el-link
          icon="el-icon-close"
          :underline="false"
          style="color:#fff"
          @click="close"
        ></el-link>
      </div>
      <div class="carInfo">
        <div>
          <div class="text item">车牌号: {{ detailInfo.carNumber }}</div>
          <div class="text item">品牌: {{ detailInfo.carType }}</div>
          <div class="text item">司机: {{ detailInfo.carDriverName }}</div>
          <div class="text item">公司: {{ detailInfo.companyName }}</div>
          <div class="text item">车辆颜色: {{ detailInfo.carColour }}</div>
          <div class="text item">创建时间: {{ detailInfo.createTime }}</div>
          <div class="text item">购买时间: {{ detailInfo.buyDate }}</div>
        </div>
        <div class="headerInfo">
          <img
            :src="detailInfo.carAfterPhotoUrl"
            alt=""
            style="width:100%;height:100%"
          />
        </div>
      </div>
      <el-divider></el-divider>
      <div class="footer">
        <i class="el-icon-caret-right" @click="play"></i>
        <i class="el-icon-microphone" @click="voice"></i>
        <i class="el-icon-paperclip" @click="history"></i>
        <i
          class="el-icon-map-location"
          @click="tagging"
          :style="isShow && 'color:#409eff'"
        ></i>
      </div>
    </el-card>
    <video-player
      v-if="showVideoModel"
      id="videoIframe"
      class="videoWindow"
      @close="() => (showVideoModel = false)"
    >
    </video-player>
  </div>
</template>
<script>
import videoPlayer from '@/components/videoPlayer.vue'
export default {
  name: 'InfoWindow',
  props: {
    detailInfo: Object
  },
  components: {
    videoPlayer
  },
  data() {
    return {
      overlay: null,
      infoWindow: null,
      isInfo: true,
      isShow: false,
      showVideoModel: false
    }
  },
  methods: {
    initialize(e) {
      this.overlay = e.overlay
      this.infoWindow = e.infoWindow
    },
    //关闭
    close() {
      this.$emit('closeInfoWindow')
    },
    play() {
      this.showVideoModel = true
    },
    voice() {
      console.log('voice')
    },
    tagging() {
      this.isShow = !this.isShow
    },
    history() {
      this.$emit('getHistoryLine')
    }
  }
}
</script>

<style lang="scss" scoped>
.text {
  font-size: 14px;
}

.item {
  margin-bottom: 10px;
}

.clearfix:before,
.clearfix:after {
  display: table;
  content: '';
}
.clearfix:after {
  clear: both;
}

.box-card {
  width: 360px;
  padding: 18px;
}
.footer {
  display: flex;
  justify-content: space-around;
  i {
    font-size: 20px;
    &:hover {
      cursor: pointer;
      color: #0000ff;
    }
  }
}

.headerInfo {
  width: 120px;
  height: 120px;
}

.carInfo {
  display: flex;
  justify-content: space-between;
}
/deep/ [class^='el-icon-'],
[class*=' el-icon-'] {
  font-size: 18px;
}
/deep/ .footer i[data-v-5aa02c84]:hover {
  color: #409eff;
}
.title {
  display: inline-block;
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 10px;
  color: #409eff;
  padding: 0;
}
/deep/ .el-divider--horizontal {
  margin: 10px 0;
}
.videoWindow {
  width: 480px;
  height: 312px;
  position: absolute;
  top: 0;
  left: 0;
  // transform: translateX(-50%);
  // z-index: 9999;
}
</style>
